Subject: bug#79023: 30.1.90; Suspicion of memory leak on internal_redisplay (MacOS)

From: Przemysław Alexander Kamiński<[email-masked]>
Date: Tue, 15 Jul 2025 15:52:20 +0200

On 15 Jul 2025, at 15:30, Eli Zaretskii wrote:

> See above: your interpretation of the "memory profile" is wrong.  In
> particular, this profile cannot tell us whether we allocate more
> memory than we free.
>

Well this memory profile is something that I would expect to be low and irrelevant. I don't have a proof, so marked as a suspicion.
I wouldn't be surprised if that'd be something that touched MacOS users only - I've seen plenty of complains about the performance and experienced it too, but AFAIK we're smaller crowd. Suspicion coms from the fact that I cannot see where the data is going and leaks tool is reporting low usage, so most likely this is outside of C realm.

I've done some extra testing, since I wouldn't be surprised if some release on a string was missing or something. On a fresh instance blinking cursor is enough to raise memory usage. 10mb over 4.5mb and garbage- didn't releaes memory.

I think I can reproduce test case and even think what might be the cause, as I looked around MacOS code for couple of minutes.

Best,
Przemysław Alexander Kamiński